Home

Discover For iPad®: Requires iOS 6+ Review

Add reviewDiscover For iPad®: Requires iOS 6+ Good reviewsDiscover For iPad®: Requires iOS 6+ Bad reviewsDiscover For iPad®: Requires iOS 6+ Review RSS feed
Discover For iPad® has 265 reviews. Enter your email below and we'll notify you when new reviews are added, so you can comment, share or remove the reviews. This is great for monitoring your apps or the competition's apps
Requires iOS 6+
Requires iOS 6 (which isn't supported on 1st gen iPad) and their servers don't allow older versions of the app. Time to uninstall. Shame on you Discover. For years you were behind the security curve with weak password databases and now you secure people out by letting developers write the requirements.
e8dsa- on Oct 24, 2013 for Discover For iPad®
share · comment
Very good
A very slick and useful app. Makes managing your Discover account and making payments easy and straightforward. Each update makes the app noticeably better, so props to the developers for a job well done.
rschech13 on Sep 21, 2013 for Discover For iPad®
share · comment
Unable to use app
Because I don't have the latest iOS version, I am NOT able to use the app. Please do something about this! I have to revert back to the website version, which makes this app pointless. Thank you
Michelle z. on Oct 22, 2013 for Discover For iPad®
share · comment
Can no longer access my account after "required" update...
Update doesn't work for those of us using a 1st generation iPad. Previous version was perfect -- please fix so we can access our accounts again!
queenieb22 on Oct 21, 2013 for Discover For iPad®
share · comment
Discover does not care
The latest version of of this app does not work with older versions of iOS. Discover is not enabling the latest version of the app to be used with corresponding compatible version of iOS. Therefor you can not use this app if you purchased your iPad a couple of years ago. Also, the Discover web site is awful with iOS. I can only conclude that Discover does not care about you and does not want your business unless you have purchased an iPad recently.
JCVermont on Oct 20, 2013 for Discover For iPad®
share · comment
iOS 6 required?
I'm jail broken on ios 5.
Xtole on Oct 19, 2013 for Discover For iPad®
share · comment